## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XdmSequenceType

    public class XdmSequenceType

implements object

  An instance of class `XdmSequenceType` represents a sequence type, that is, the combination of an item type and an occurrence indicator.

Constructor Summary
`XdmSequenceType(XdmItemType itemType, System.Char occurrenceIndicator)` Create an XdmSequenceType corresponding to a given XdmItemType and occurrence indicator

Constructor Detail

### XdmSequenceType

    public XdmSequenceType(XdmItemType itemType,
                           System.Char occurrenceIndicator)

  Create an XdmSequenceType corresponding to a given XdmItemType and occurrence indicator

  Parameters:
  `itemType` -
    The item type
  `occurrenceIndicator` -
    The occurrence indicator, one of '?' (zero-or-one), '*' (zero-or-more), '+' (one-or-more), ' ' (a single space) (exactly one), or 'º' (masculine ordinal indicator, xBA) (exactly zero). The type empty-sequence() can be represented by an occurrence indicator of 'º' with any item type.